## gnome-weather 48.0

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)
option('dogtail', type: 'boolean', value: false)

## gnome-weather 3.10.1

=== debian/changelog ===
gnome-weather (3.10.1-0ubuntu1) trusty; urgency=low

  [ Jackson Doak ]
  * Initial Packaging, based on debian packaging svn

  [ Dmitry Shachnev ]
  * Build-depend on gobject-introspection.
  * Watch only stable releases.
  * Add missing copyright entries.

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 04 Feb 2014 06:31:27 +1100

gnome-weather (3.8.2-2) UNRELEASED; urgency=low

  [ Jeremy Bicha ]
  * Update homepage
  * add-temperature-scale-toggle.patch:
    - Backport patch to add an app menu toggle to switch between
      Fahrenheit and Celsius

  [ Andreas Henriksson ]
  * Update debian/copyright
    - List src/package.js and src/util.js under their respective license
    - Add initial data/* draft, still missing license text and copyright years.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Jun 2013 13:54:54 +0200

gnome-weather (3.8.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Add missing gir and gjs dependencies

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.4
  * Remove *.la files after install, to avoid shipping libgd.la
  * Add years to debian/copyright Copyright line to silence lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jun 2013 22:21:09 +0200

gnome-weather (3.7.92-1) experimental; urgency=low

  * Initial release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 16:17:43 +0100

=== debian/control ===
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jackson Doak <noskcaj@ubuntu.com>
Build-Depends: debhelper (>= 9),
               gobject-introspection,
               intltool (>= 0.26),
               pkg-config,
               libgirepository1.0-dev (>= 1.35.9),
               libgtk-3-dev (>= 3.9.4),
               libgweather-3-dev (>= 3.9.5),
               gjs
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/experimental/gnome-weather
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-weather/
Homepage: https://wiki.gnome.org/Design/Apps/Weather

Package: gnome-weather
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gweather-3.0,
         gjs
Description: Access current weather conditions and forecasts
 This is a small application that allows you to monitor the current
 weather conditions for your city, or anywhere in the world, and to
 access updated forecasts provided by various internet services.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gnome-weather/usr/lib/*/gnome-weather/*.la

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-weather/([\d\.]+)[02468]/gnome-weather-(.*)\.tar\.xz

## gnome-weather 3.12.1

=== debian/changelog ===
gnome-weather (3.12.1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Updates translations. LP: #1313416
  * Add extra build-depends needed for tests, but don't enable tests yet

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 14 Jun 2014 12:48:12 +1000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,13 @@
                intltool (>= 0.26),
                pkg-config,
                libgirepository1.0-dev (>= 1.35.9),
+               libgjs-dev,
                libgtk-3-dev (>= 3.9.4),
                libgweather-3-dev (>= 3.9.5),
-               gjs
+               gjs,
+               python-gi-dev,
+               python-dogtail,
+               libatk1.0-dev
 Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/experimental/gnome-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-weather/

## gnome-weather 3.14.1

=== debian/changelog ===
gnome-weather (3.14.1-0ubuntu2) wily; urgency=medium

  * Add missing dependencies needed to run app without the full Gnome desktop
    LP: #1456400

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 18 May 2015 18:14:02 -0700

gnome-weather (3.14.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix a typo in watch file
  * Change binary to arch: all
  * Update d/copyright for this release

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 20 Dec 2014 18:32:08 +1100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev,
-               libgtk-3-dev (>= 3.9.4),
+               libgtk-3-dev (>= 3.11.4),
                libgweather-3-dev (>= 3.9.5),
                gjs,
                python-gi-dev,
@@ -21,14 +21,17 @@
 Homepage: https://wiki.gnome.org/Design/Apps/Weather
 
 Package: gnome-weather
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-gweather-3.0,
-         gjs
+         gir1.2-gnomedesktop-3.0,
+         gir1.2-geocodeglib-1.0,
+         gjs,
+         geoclue-2.0
 Description: Access current weather conditions and forecasts
  This is a small application that allows you to monitor the current
  weather conditions for your city, or anywhere in the world, and to

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/gnome-weather/usr/lib/*/gnome-weather/*.la
+
+override_dh_auto_test:

## gnome-weather 3.16.2.1

=== debian/changelog ===
gnome-weather (3.16.2.1-0ubuntu2) wily; urgency=medium

  * Bump gjs dependency to >= 1.43.3, as gnome-weather won't start without
    that version of gjs (or greater) (LP: #1462834).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 07 Jun 2015 18:43:38 -0700

gnome-weather (3.16.2.1-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 04 Jun 2015 08:03:45 +1000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev,
                libgtk-3-dev (>= 3.11.4),
-               libgweather-3-dev (>= 3.9.5),
+               libgweather-3-dev (>= 3.15.90),
                gjs,
                python-gi-dev,
                python-dogtail,
@@ -30,7 +30,7 @@
          gir1.2-gweather-3.0,
          gir1.2-gnomedesktop-3.0,
          gir1.2-geocodeglib-1.0,
-         gjs,
+         gjs (>= 1.43.3),
          geoclue-2.0
 Description: Access current weather conditions and forecasts
  This is a small application that allows you to monitor the current

## gnome-weather 3.16.2.1+dfsg.1

=== debian/changelog ===
gnome-weather (3.16.2.1+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Add watch file to track new upstream releases.
  * Repackage upstream tarball using DFSG-free backgrounds.
  * Use screenshot provided by https://screenshots.debian.net in the AppData
    file. Update README.source accordingly.
  * Replace weather-clear background with a more neutral picture.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Jul 2015 17:26:26 +0200

gnome-weather (3.14.1+dfsg.1-1) unstable; urgency=medium

  * Initial release. (Closes: #772344)
  * Repackage upstream tarball using DFSG-free backgrounds.

 -- Josselin Mouette <joss@debian.org>  Mon, 08 Dec 2014 01:55:22 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: dh-autoreconf,
               cdbs (>= 0.4.41),
               debhelper (>= 9),
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.26),
               pkg-config (>= 0.22),
               appstream-util,
               libglib2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               gjs,
               libgjs-dev (>= 1.39.91),
               libgtk-3-dev (>= 3.11.4),
               libgdk-pixbuf2.0-dev,
               libgweather-3-dev (>= 3.9.5)
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Weather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/

Package: gnome-weather
Architecture: all
Depends: ${misc:Depends},
         gjs (>= 1.39.91),
         libglib2.0-bin (>= 2.40),
         geoclue-2.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gweather-3.0 (>= 3.9.5),
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-gtk-3.0 (>= 3.11.4),
         gir1.2-gnomedesktop-3.0,
         gir1.2-geocodeglib-1.0
Description: access current conditions and forecasts
 Weather is a small application for GNOME that allows one to monitor the 
 current weather conditions for a city, or anywhere in the world, and 
 to access updated forecasts provided by various internet services.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\.[\d]//" \
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-weather/([\d\.]+[02468])/gnome-weather-(.*)\.tar\.xz

## gnome-weather 3.18.1

=== debian/changelog ===
gnome-weather (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Include gnome-get-source.mk for get-orig-source target.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 18:41:06 +0200

gnome-weather (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Stop repacking the upstream tarball. Upstream has replaced the images with
    DFSG-free variants.
    - Drop debian/README.source, no longer necessary
    - Stop mangling the version in debian/watch
    - Update debian/copyright
  * Bump Build-Depends on libgweather-3-dev and Depends on gir1.2-gweather-3.0
    to (>= 3.17.2).

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Oct 2015 20:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
                libgjs-dev (>= 1.39.91),
                libgtk-3-dev (>= 3.11.4),
                libgdk-pixbuf2.0-dev,
-               libgweather-3-dev (>= 3.9.5)
+               libgweather-3-dev (>= 3.17.2)
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/
 
 Package: gnome-weather
 Architecture: all
@@ -33,7 +33,7 @@
          libglib2.0-bin (>= 2.40),
          geoclue-2.0,
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-gweather-3.0 (>= 3.9.5),
+         gir1.2-gweather-3.0 (>= 3.17.2),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-gtk-3.0 (>= 3.11.4),
          gir1.2-gnomedesktop-3.0,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,4 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-weather/([\d\.]+[02468])/gnome-weather-(.*)\.tar\.xz

## gnome-weather 3.20.0

=== debian/changelog ===
gnome-weather (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 16:13:16 +0100

gnome-weather (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - add libgeoclue-2-dev (>= 2.3.1)
  * Bump Standards-Version to 3.9.7.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 22:03:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.41),
                debhelper (>= 9),
@@ -17,11 +17,12 @@
                libglib2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
                gjs,
+               libgeoclue-2-dev (>= 2.3.1),
                libgjs-dev (>= 1.39.91),
                libgtk-3-dev (>= 3.11.4),
                libgdk-pixbuf2.0-dev,
                libgweather-3-dev (>= 3.17.2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Apps/Weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/

## gnome-weather 3.20.1

=== debian/changelog ===
gnome-weather (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Add missing Depends on gir1.2-geoclue-2.0. (Closes: #820525)

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 16:08:34 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libgtk-3-dev (>= 3.11.4),
                libgdk-pixbuf2.0-dev,
                libgweather-3-dev (>= 3.17.2)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/
@@ -32,13 +32,14 @@
 Depends: ${misc:Depends},
          gjs (>= 1.39.91),
          libglib2.0-bin (>= 2.40),
-         geoclue-2.0,
+         geoclue-2.0 (>= 2.3.1),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gweather-3.0 (>= 3.17.2),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-gtk-3.0 (>= 3.11.4),
          gir1.2-gnomedesktop-3.0,
-         gir1.2-geocodeglib-1.0
+         gir1.2-geocodeglib-1.0,
+         gir1.2-geoclue-2.0 (>= 2.3.1)
 Description: access current conditions and forecasts
  Weather is a small application for GNOME that allows one to monitor the 
  current weather conditions for a city, or anywhere in the world, and

## gnome-weather 3.20.2

=== debian/changelog ===
gnome-weather (3.20.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Switch from cdbs to dh
  * Enable all hardening options
  * Run autoreconf
  * Build-depend on libxml2-utils
  * Disable dogtail tests

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 16 Aug 2016 11:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
-               cdbs (>= 0.4.41),
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.26),
@@ -21,7 +20,8 @@
                libgjs-dev (>= 1.39.91),
                libgtk-3-dev (>= 3.11.4),
                libgdk-pixbuf2.0-dev,
-               libgweather-3-dev (>= 3.17.2)
+               libgweather-3-dev (>= 3.17.2),
+               libxml2-utils
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-dogtail

## gnome-weather 3.24.0

=== debian/changelog ===
gnome-weather (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 19:52:27 -0400

gnome-weather (3.20.2-1ubuntu1) zesty; urgency=medium

  * Add avoid-double-declaration.patch:
    - git patch to avoid crash with gjs 1.47.90+

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 20:53:45 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-weather
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),

## gnome-weather 3.25.91

=== debian/changelog ===
gnome-weather (3.25.91-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gjs to 1.49.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Aug 2017 17:55:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),
@@ -16,7 +16,7 @@
                appstream-util,
                libglib2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
-               gjs,
+               gjs (>= 1.49.4),
                libgeoclue-2-dev (>= 2.3.1),
                libgjs-dev (>= 1.39.91),
                libgtk-3-dev (>= 3.11.4),
@@ -31,7 +31,7 @@
 Package: gnome-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gjs (>= 1.39.91),
+         gjs (>= 1.49.4),
          libglib2.0-bin (>= 2.40),
          geoclue-2.0 (>= 2.3.1),
          gir1.2-gdkpixbuf-2.0,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-dogtail

## gnome-weather 3.25.92

=== debian/changelog ===
gnome-weather (3.25.92-0ubuntu1) artful; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Sep 2017 15:04:40 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),

## gnome-weather 3.26.0

=== debian/changelog ===
gnome-weather (3.26.0-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 18:35:14 -0500

gnome-weather (3.26.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #874693)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 17:37:54 -0400

gnome-weather (3.26.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gjs to 1.49.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 20:53:40 -0400

gnome-weather (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 20:47:26 -0400

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Source: gnome-weather
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: dh-autoreconf,
-               debhelper (>= 9),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.26),
                pkg-config (>= 0.22),
@@ -23,10 +21,10 @@
                libgdk-pixbuf2.0-dev,
                libgweather-3-dev (>= 3.17.2),
                libxml2-utils
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Weather
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-weather
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-weather/
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-weather.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-weather.git
 
 Package: gnome-weather
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf,gnome
+	dh $@ --with gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-dogtail

## gnome-weather 3.32.0

=== debian/changelog ===
gnome-weather (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Add lintian override for desktop-command-not-in-package:
    - gnome-weather depends on libglib2.0-bin which provides gapplication

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Mar 2019 05:44:59 -0400

gnome-weather (3.31.90-2) experimental; urgency=medium

  * Fix Debian build by adding a Build-Depends on geoclue-2.0
  * Restore --libdir override
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Feb 2019 13:20:10 -0500

gnome-weather (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/comapt
  * Build-Depend on dh-sequence-gnome
  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 21:13:34 -0500

gnome-weather (3.26.0-5) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/rules: Set libdir=/usr/lib since this is an arch:all package
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 20:52:46 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               geoclue-2.0,
               itstool,
               meson (>= 0.46.0),
               pkg-config (>= 0.22),
               libglib2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               gjs (>= 1.50.0),
               libgeoclue-2-dev (>= 2.3.1),
               libgjs-dev (>= 1.39.91),
               libgtk-3-dev (>= 3.11.4),
               libgdk-pixbuf2.0-dev,
               libgweather-3-dev (>= 3.28.0),
               libxml2-utils
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://wiki.gnome.org/Apps/Weather

Package: gnome-weather
Architecture: all
Depends: ${misc:Depends},
         gjs (>= 1.49.4),
         libglib2.0-bin (>= 2.40),
         geoclue-2.0 (>= 2.3.1),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gweather-3.0 (>= 3.17.2),
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-gtk-3.0 (>= 3.11.4),
         gir1.2-gnomedesktop-3.0,
         gir1.2-geocodeglib-1.0,
         gir1.2-geoclue-2.0 (>= 2.3.1)
Description: access current conditions and forecasts
 Weather is a small application for GNOME that allows one to monitor the
 current weather conditions for a city, or anywhere in the world, and
 to access updated forecasts provided by various internet services.

## gnome-weather 3.32.2

=== debian/changelog ===
gnome-weather (3.32.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fixes crash on startup when an invalid location is configured
      (Closes: #935090)
  * Set Standards-Version to 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Normalize order of dependency lists (wrap-and-sort -ab)
  * d/copyright: Remove trailing whitespace from each line
  * d/copyright: Add new license of the icon
  * Merge packaging changes from unstable
    - Drop patches: no longer required

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Aug 2019 19:35:00 +0100

gnome-weather (3.26.0-6) unstable; urgency=medium

  * Team upload
  * d/p/app-Use-find_nearest_city-instead-of-new_detached.patch,
    d/p/shared-world.js-don-t-use-detached-location-from-settings.patch:
    Add patches from version 3.32.1 to prevent a crash when the locations
    configured are invalid.
    In particular, this is a prerequisite for correcting the airport code
    for Lima in #935075, because otherwise, gnome-weather would read the
    old airport code from dconf on startup, and crash.
    Thanks to Diego Escalante Urrelo. (Closes: #935090)
  * d/gbp.conf: Set packaging branch to debian/unstable.
    debian/master is now tracking newer GNOME releases.

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Aug 2019 19:02:55 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               geoclue-2.0,
               gjs (>= 1.50.0),
               itstool,
               libgdk-pixbuf2.0-dev,
               libgeoclue-2-dev (>= 2.3.1),
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.39.91),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.11.4),
               libgweather-3-dev (>= 3.28.0),
               libxml2-utils,
               meson (>= 0.46.0),
               pkg-config (>= 0.22)
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://wiki.gnome.org/Apps/Weather

Package: gnome-weather
Architecture: all
Depends: geoclue-2.0 (>= 2.3.1),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-geoclue-2.0 (>= 2.3.1),
         gir1.2-geocodeglib-1.0,
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-gnomedesktop-3.0,
         gir1.2-gtk-3.0 (>= 3.11.4),
         gir1.2-gweather-3.0 (>= 3.17.2),
         gjs (>= 1.49.4),
         libglib2.0-bin (>= 2.40),
         ${misc:Depends}
Description: access current conditions and forecasts
 Weather is a small application for GNOME that allows one to monitor the
 current weather conditions for a city, or anywhere in the world, and
 to access updated forecasts provided by various internet services.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

# https://gitlab.gnome.org/GNOME/gjs/issues/214
override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

# python3-dogtail isn't in Debian yet
override_dh_auto_test:
	-dh_auto_test

## gnome-weather 3.33.90

=== debian/changelog ===
gnome-weather (3.33.90-1) unstable; urgency=medium

  * New upstream release
  * Bump meson build-dependency to >= 0.50

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 22:49:22 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libgtk-3-dev (>= 3.11.4),
                libgweather-3-dev (>= 3.28.0),
                libxml2-utils,
-               meson (>= 0.46.0),
+               meson (>= 0.50),
                pkg-config (>= 0.22)
 Rules-Requires-Root: no
 Standards-Version: 4.4.0

## gnome-weather 3.34.0

=== debian/changelog ===
gnome-weather (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Run build tests except for the dogtail tests
  * Build-Depend on appstream-util for validity check

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 07:07:56 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                geoclue-2.0,

## gnome-weather 3.36.1

=== debian/changelog ===
gnome-weather (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Apr 2020 14:18:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,3 @@
 # https://gitlab.gnome.org/GNOME/gjs/issues/214
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib
-
-# python3-dogtail isn't in Debian yet
-override_dh_auto_test:
-	-dh_auto_test

## gnome-weather 40.0

=== debian/changelog ===
gnome-weather (40.0-1) experimental; urgency=medium

  * New upstream release:
    - Major redesign with new charts
    - Adaptive for mobile and desktop
  * debian/patches: Cherry-pick various upstream fixes
  * debian/control:
    - Update build and test dependencies to match upstream
    - Do not depend on uneeded runtime dependencies.
      Remove explicit dependencies on gocodeglib-1.0 and gdkpixbuf-2.0 as none
      of them is actually needed at runtime.
    - Build-depends and depends on libgweather 40.
      This was already the case with gnome-weather 40 but not required, now
      we've an upstream patch that ensures this so make this explicit.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 16:32:51 +0200

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,18 @@
                gjs (>= 1.50.0),
                itstool,
                libgdk-pixbuf2.0-dev,
-               libgeoclue-2-dev (>= 2.3.1),
+               libgeoclue-2-dev (>= 0.12.99),
                libgirepository1.0-dev (>= 1.35.9),
-               libgjs-dev (>= 1.39.91),
+               libgjs-dev (>= 1.50.0),
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.11.4),
-               libgweather-3-dev (>= 3.28.0),
+               libgtk-3-dev (>= 3.20),
+               libgweather-3-dev (>= 40.0),
+               libhandy-1-dev (>= 1.1.90),
                libxml2-utils,
                meson (>= 0.50),
-               pkg-config (>= 0.22)
+               pkg-config (>= 0.22),
+               python3-dogtail <!nocheck>,
+               python3-pyatspi <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
@@ -33,14 +36,13 @@
 Package: gnome-weather
 Architecture: all
 Depends: geoclue-2.0 (>= 2.3.1),
-         gir1.2-gdkpixbuf-2.0,
-         gir1.2-geoclue-2.0 (>= 2.3.1),
-         gir1.2-geocodeglib-1.0,
+         gir1.2-geoclue-2.0 (>= 0.12.99),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-gnomedesktop-3.0,
          gir1.2-gtk-3.0 (>= 3.11.4),
-         gir1.2-gweather-3.0 (>= 3.17.2),
-         gjs (>= 1.49.4),
+         gir1.2-gweather-3.0 (>= 40.0),
+         gir1.2-handy-1 (>= 1.1.90),
+         gjs (>= 1.50.0),
          libglib2.0-bin (>= 2.40),
          ${misc:Depends}
 Description: access current conditions and forecasts

## gnome-weather 40.1

=== debian/changelog ===
gnome-weather (40.1-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Bump debhelper-compat to 13
  * debian/control.in: Drop unused dogtail and pyatspi Build-Depends
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Sep 2021 12:30:06 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
@@ -24,9 +24,7 @@
                libhandy-1-dev (>= 1.1.90),
                libxml2-utils,
                meson (>= 0.50),
-               pkg-config (>= 0.22),
-               python3-dogtail <!nocheck>,
-               python3-pyatspi <!nocheck>
+               pkg-config (>= 0.22)
 Rules-Requires-Root: no
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather

## gnome-weather 41.0

=== debian/changelog ===
gnome-weather (41.0-3ubuntu2) jammy; urgency=medium

  * Fix GNOME 42 dark theme patch (LP: #1967630)
  * Add patch to specify import versions for gweather and gnome-desktop

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 20 Apr 2022 20:38:56 -0400

gnome-weather (41.0-3) unstable; urgency=medium

  * Cherry-pick patch to support GNOME 42 dark style
  * debian/control.in: Bump minimum libhandy for this change

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 13:18:05 -0400

gnome-weather (41.0-2) unstable; urgency=medium

  * Team upload
  * d/p/Remove-incorrect-args-for-i18n.merge_file.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005541)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 15:38:34 +0000

gnome-weather (41.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Sep 2021 18:49:48 -0400

gnome-weather (40.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable for transition #993934

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Sep 2021 21:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-weather
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
@@ -21,12 +22,12 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.20),
                libgweather-3-dev (>= 40.0),
-               libhandy-1-dev (>= 1.1.90),
+               libhandy-1-dev (>= 1.5.90),
                libxml2-utils,
                meson (>= 0.50),
                pkg-config (>= 0.22)
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
 Homepage: https://wiki.gnome.org/Apps/Weather
@@ -39,7 +40,7 @@
          gir1.2-gnomedesktop-3.0,
          gir1.2-gtk-3.0 (>= 3.11.4),
          gir1.2-gweather-3.0 (>= 40.0),
-         gir1.2-handy-1 (>= 1.1.90),
+         gir1.2-handy-1 (>= 1.5.90),
          gjs (>= 1.50.0),
          libglib2.0-bin (>= 2.40),
          ${misc:Depends}

## gnome-weather 42.0

=== debian/changelog ===
gnome-weather (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK4, libadwaita, and libgweather4
  * debian/control.in: Drop obsolete gnome-desktop dependency
  * debian.control.in: Bump minimum gjs to 1.71.0
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 13:29:26 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               geoclue-2.0,
               gjs (>= 1.71.0),
               itstool,
               libadwaita-1-dev,
               libgdk-pixbuf2.0-dev,
               libgeoclue-2-dev (>= 0.12.99),
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.50.0),
               libglib2.0-dev,
               libgtk-4-dev (>= 4.5),
               libgweather-4-dev (>= 3.90.0),
               libxml2-utils,
               meson (>= 0.50),
               pkg-config (>= 0.22)
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://wiki.gnome.org/Apps/Weather

Package: gnome-weather
Architecture: all
Depends: geoclue-2.0 (>= 2.3.1),
         gir1.2-adw-1,
         gir1.2-geoclue-2.0 (>= 0.12.99),
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-gtk-4.0 (>= 4.5),
         gir1.2-gweather-4.0 (>= 3.90.0),
         gjs (>= 1.71.0),
         libglib2.0-bin (>= 2.40),
         ${misc:Depends}
Description: access current conditions and forecasts
 Weather is a small application for GNOME that allows one to monitor the
 current weather conditions for a city, or anywhere in the world, and
 to access updated forecasts provided by various internet services.

## gnome-weather 43~beta

=== debian/changelog ===
gnome-weather (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.2~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 15:36:17 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                geoclue-2.0,
                gjs (>= 1.71.0),
                itstool,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.2~alpha),
                libgdk-pixbuf2.0-dev,
                libgeoclue-2-dev (>= 0.12.99),
                libgirepository1.0-dev (>= 1.35.9),
@@ -34,7 +34,7 @@
 Package: gnome-weather
 Architecture: all
 Depends: geoclue-2.0 (>= 2.3.1),
-         gir1.2-adw-1,
+         gir1.2-adw-1 (>= 1.2~alpha),
          gir1.2-geoclue-2.0 (>= 0.12.99),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-gtk-4.0 (>= 4.5),

## gnome-weather 43~rc

=== debian/changelog ===
gnome-weather (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Move Build-Depends to Build-Depends-Indep

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:43:15 -0400

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
-               desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
-               geoclue-2.0,
-               gjs (>= 1.71.0),
-               itstool,
-               libadwaita-1-dev (>= 1.2~alpha),
-               libgdk-pixbuf2.0-dev,
-               libgeoclue-2-dev (>= 0.12.99),
-               libgirepository1.0-dev (>= 1.35.9),
-               libgjs-dev (>= 1.50.0),
-               libglib2.0-dev,
-               libgtk-4-dev (>= 4.5),
-               libgweather-4-dev (>= 3.90.0),
-               libxml2-utils,
-               meson (>= 0.50),
-               pkg-config (>= 0.22)
+               dh-sequence-gnome
+Build-Depends-Indep: appstream-util <!nocheck>,
+                     desktop-file-utils <!nocheck>,
+                     geoclue-2.0,
+                     gjs (>= 1.71.0),
+                     itstool,
+                     libadwaita-1-dev (>= 1.2~alpha),
+                     libgdk-pixbuf2.0-dev,
+                     libgeoclue-2-dev (>= 0.12.99),
+                     libgirepository1.0-dev (>= 1.35.9),
+                     libgjs-dev (>= 1.50.0),
+                     libglib2.0-dev,
+                     libgtk-4-dev (>= 4.5),
+                     libgweather-4-dev (>= 3.90.0),
+                     libxml2-utils,
+                     meson (>= 0.50),
+                     pkg-config (>= 0.22)
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather

## gnome-weather 43.0

=== debian/changelog ===
gnome-weather (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 09:56:20 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                      gjs (>= 1.71.0),
                      itstool,
                      libadwaita-1-dev (>= 1.2~alpha),
-                     libgdk-pixbuf2.0-dev,
+                     libgdk-pixbuf-2.0-dev,
                      libgeoclue-2-dev (>= 0.12.99),
                      libgirepository1.0-dev (>= 1.35.9),
                      libgjs-dev (>= 1.50.0),

## gnome-weather 44~beta

=== debian/changelog ===
gnome-weather (44~beta-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop no-longer needed Build-Depends: gjs

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 16:12:44 -0500

## gnome-weather 44.0

=== debian/changelog ===
gnome-weather (44.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:17:55 -0400

gnome-weather (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 11:37:13 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome
 Build-Depends-Indep: appstream-util <!nocheck>,
                      desktop-file-utils <!nocheck>,
                      geoclue-2.0,
-                     gjs (>= 1.71.0),
                      itstool,
                      libadwaita-1-dev (>= 1.2~alpha),
                      libgdk-pixbuf-2.0-dev,
@@ -26,7 +25,7 @@
                      meson (>= 0.50),
                      pkg-config (>= 0.22)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
 Homepage: https://wiki.gnome.org/Apps/Weather

## gnome-weather 45~alpha

=== debian/changelog ===
gnome-weather (45~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:51:43 -0400

gnome-weather (45~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.4~beta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 12:10:32 -0400

## gnome-weather 45.0

=== debian/changelog ===
gnome-weather (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 18:42:09 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                      desktop-file-utils <!nocheck>,
                      geoclue-2.0,
                      itstool,
-                     libadwaita-1-dev (>= 1.2~alpha),
+                     libadwaita-1-dev (>= 1.4~beta),
                      libgdk-pixbuf-2.0-dev,
                      libgeoclue-2-dev (>= 0.12.99),
                      libgirepository1.0-dev (>= 1.35.9),
@@ -33,7 +33,7 @@
 Package: gnome-weather
 Architecture: all
 Depends: geoclue-2.0 (>= 2.3.1),
-         gir1.2-adw-1 (>= 1.2~alpha),
+         gir1.2-adw-1 (>= 1.4~beta),
          gir1.2-geoclue-2.0 (>= 0.12.99),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-gtk-4.0 (>= 4.5),
